'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = features;
exports.isFeatureEnabled = isFeatureEnabled;

var _actions = require('./actions');

function features(state, _ref) {
  var type = _ref.type,
      features = _ref.features;

  if (type === _actions.RECEIVE_FEATURES) {
    return features || [];
  }

  return state || [];
}

function isFeatureEnabled(features, featureName) {
  return features[featureName];
}